Priority: Low Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 0.9.0

Description

I'm running the redmine from the current Redmine 0.9 stable branch (r3332) branch. The reposman.rb script hangs randomly when

trying to connect to redmine. Only in very few instances maybe every 20th run or so the skript hangs after "querying Redmine for

projects..."

I have checked the apache logs / passenger log. They don't list a access to redmine in this case. It seems that ruby or maybe

activerecord screws up. I also ran the script in debug modus:

Exception `LoadError' at /usr/local/lib/ruby/site_ruby/1.8/rubygems.rb:1113 - no such file to load

 -- rubygems/defaults/operating_system

Exception `NoMethodError' at /usr/local/lib/ruby/1.8/rational.rb:78 - undefined method `gcd' for R

ational(1, 2):Rational

Exception `LoadError' at /usr/local/lib/ruby/site_ruby/1.8/rubygems/config_file.rb:34 - no such fi

le to load -- Win32API

Exception `LoadError' at /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31 - no such

 file to load -- activeresource

Exception `TypeError' at (eval):4 - can't modify frozen object

/usr/local/lib/ruby/1.8/pathname.rb:263: warning: `*' interpreted as argument prefix

Exception `MissingSourceFile' at /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31 -

 no such file to load -- fast_xs

Exception `MissingSourceFile' at /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:38 -

 no such file to load -- fast_xs

Exception `MissingSourceFile' at /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31 -

 no such file to load -- json

Exception `MissingSourceFile' at /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:38 -

 no such file to load -- json

Exception `MissingSourceFile' at /usr/local/lib/ruby/gems/1.8/gems/activesupport-2.3.5/lib/active_

support/dependencies.rb:162 - no such file to load -- json

DEPRECATION WARNING: require "activeresource" is deprecated and will be removed in Rails 3. Use re

quire "active_resource" instead.. (called from /usr/local/lib/ruby/gems/1.8/gems/activeresource-2.

3.5/lib/activeresource.rb:2)

querying Redmine for projects...

/usr/local/lib/ruby/gems/1.8/gems/activeresource-2.3.5/lib/active_resource/connection.rb:219: warn

ing: instance variable @proxy not initialized

/usr/local/lib/ruby/gems/1.8/gems/activeresource-2.3.5/lib/active_resource/connection.rb:230: warn

ing: instance variable @timeout not initialized

 Since im no ruby expert i can only guess that the timeout warning might be related. I have to kill the ruby process with SIG KILL.

System:

FreeBSD 8.0

Redmine 0.9 stable branch (r3332)

ruby 1.8.7 (2009-12-24 patchlevel 248)

actionmailer (2.3.5)

actionpack (2.3.5)

activerecord (2.3.5)

activeresource (2.3.5)

activesupport (2.3.5)

builder (2.1.2)

columnize (0.3.1)

fastthread (1.0.7)

i18n (0.3.3)
linecache (0.43)

memcache-client (1.7.7)

passenger (2.2.9)

pg (0.8.0)

rack (1.0.1)

rails (2.3.5)

rake (0.8.7)

ruby-debug (0.10.3)

ruby-debug-base (0.10.3)

sources (0.0.2)

tzinfo (0.3.16)

History

#1 - 2010-02-06 21:01 - Joachim Fritschi

I did a bit more researching. I guess this is probably a rails activeresource bug:

https://rails.lighthouseapp.com/projects/8994/tickets/2947-activeresource-timeout-doesnt-set-open_timeout-on-underlying-nethttp-object

I'm still wondering why the webserver on the same machine would have any kind of connection problems without any heavy load.

#2 - 2010-06-19 12:10 - Joachim Fritschi

- Status changed from New to Resolved

Was some kind of weird problem with the underlying VMware server. Sorry :(

#3 - 2010-06-19 16:01 - Felix Schäfer

- Status changed from Resolved to Closed

- Resolution set to Invalid
